/**
 *
 * Copyright 2005-2006 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.activemq.broker.region.policy;

/**
 * A useful base class for implementation inheritence.
 * 
 * @version $Revision: 2661 $
 */
public abstract class MessageEvictionStrategySupport implements MessageEvictionStrategy {

    private int evictExpiredMessagesHighWatermark = 1000;

    public int getEvictExpiredMessagesHighWatermark() {
        return evictExpiredMessagesHighWatermark;
    }

    /**
     * Sets the high water mark on which we will eagerly evict expired messages from RAM
     */
    public void setEvictExpiredMessagesHighWatermark(int evictExpiredMessagesHighWaterMark) {
        this.evictExpiredMessagesHighWatermark = evictExpiredMessagesHighWaterMark;
    }
    
    
}
